View Issue Details

IDProjectCategoryView StatusLast Update
0002480Slicer4Core: GUIpublic2017-06-07 23:27
ReportersimrinAssigned Tofinetjul 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSlicer 4.1.1 
Target VersionSlicer 4.3.0Fixed in VersionSlicer 4.3.0 
Summary0002480: When editing the Transform Matrix in the Transforms module, values automatically rounded to 2 decimal places
Description

If you double click a value in the Transform Matrix in the Transforms module to edit it, it automatically rounds the current value to 2 decimal places. It also does not allow you to input a new value with more than 2 decimal places.

TagsNo tags attached.

Relationships

related to 0002579 acknowledgedjcfr Transform Widget: easy enhancements for more user-friendly manual registrations 
related to 0002986 closedjohan.andruejol Cannot set floating point values for w/l in Volumes 

Activities

finetjul

finetjul

2012-09-15 09:50

administrator   ~0006088

Note to developer:
Maybe we need to create a "smart" spinbox that automatically chooses the right number of decimals.
Another easiest solution would be to create a custom item delegate for the matrix view, and on edit, it creates a spinbox with an optimal number of decimals -> using ctk::significantDecimals, ctk::orderOfMagnitude or ctk::closestPowerOfTen). See qMRMLItemDelegate for an example.

jcfr

jcfr

2012-09-24 07:37

administrator   ~0006185

Having the spinbox automatically choosing the number of decimals for existing value if a valid approach.

That said, which interface did you you think about so that user can use more decimals ?

Should the spinbox update the number of possible decimals while the user try to input number using the keyboard ?

finetjul

finetjul

2012-10-03 06:30

administrator   ~0006362

Last edited: 2013-04-16 11:07

For a "smart" spinbox, so far, I'm thinking of 4 modes:

  • spinbox chooses the right number of decimals based on the new value
  • spinbox adds decimals as the user type them in ( -> no limit in the number of decimals)
  • the number of decimals is controlled by the width of the spinbox.
  • Ctrl+ and Ctrl- control the number of decimals. Ctrl-0 reset to the best number of decimals.
finetjul

finetjul

2013-07-08 12:30

administrator   ~0008907

Fixed in r22152

jcfr

jcfr

2014-03-06 05:18

administrator   ~0011103

Closing resolved issues that have not been updated in more than 3 months

Related Changesets

Slicer: 2145-support-for-installing-extension-from-file ed5f4ed6

2013-07-18 18:01:16

finetjul

Details Diff
BUG: Fix decimals in volumes module

Loading MRHEAD, we want the default coordinates to be:
- spacing: 1.0, 1.0, 1.3
- origin: -86.645, 133.929, 116.786 if the length unit precision is 3
Issues 0002480, 0002986, 0003074...

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22212 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Libs/MRML/Widgets/Resources/UI/qMRMLVolumeInfoWidget.ui Diff File
mod - SuperBuild/External_CTK.cmake Diff File

Issue History

Date Modified Username Field Change
2012-09-06 14:37 simrin New Issue
2012-09-06 14:37 simrin Status new => assigned
2012-09-06 14:37 simrin Assigned To => kikinis
2012-09-15 09:05 kikinis Assigned To kikinis => finetjul
2012-09-15 09:50 finetjul Note Added: 0006088
2012-09-15 09:52 finetjul Assigned To finetjul => sankhesh
2012-09-24 07:37 jcfr Note Added: 0006185
2012-10-03 06:30 finetjul Note Added: 0006362
2012-12-08 10:10 jcfr Target Version => Slicer 4.2.3
2012-12-10 07:02 sankhesh Relationship added related to 0002579
2012-12-26 06:58 sankhesh Status assigned => confirmed
2013-02-12 09:37 jcfr Target Version Slicer 4.2.3 => Slicer 4.3.0
2013-03-19 13:04 finetjul Relationship added related to 0002986
2013-03-19 13:07 jcfr Status confirmed => assigned
2013-03-19 13:07 jcfr Assigned To sankhesh => user424
2013-03-19 13:10 jcfr Assigned To user424 => sankhesh
2013-04-16 11:07 finetjul Note Edited: 0006362
2013-06-03 05:15 jcfr Assigned To sankhesh => jcfr
2013-07-08 12:30 finetjul Assigned To jcfr => finetjul
2013-07-08 12:30 finetjul Note Added: 0008907
2013-07-08 12:30 finetjul Status assigned => resolved
2013-07-08 12:30 finetjul Fixed in Version => Slicer 4.3.0
2013-07-08 12:30 finetjul Resolution open => fixed
2014-03-06 05:18 jcfr Note Added: 0011103
2014-03-06 05:20 jcfr Status resolved => closed
2017-06-07 23:27 finetjul Changeset attached => Slicer 2145-support-for-installing-extension-from-file ed5f4ed6